com.google.appengine.api.images

## Enum ImagesService.OutputEncoding

- java.lang.Object
- - java.lang.Enum<ImagesService.OutputEncoding>
  - - com.google.appengine.api.images.ImagesService.OutputEncoding

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ImagesService.OutputEncoding>
  Enclosing interface:
    ImagesService

      public static enum ImagesService.OutputEncoding
      extends java.lang.Enum<ImagesService.OutputEncoding>

  Valid output encoding formats usable for image transforms.
  See Also:
    PNG Image Format., JPEG Image Format., WEBP Image Format.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `JPEG`
    `PNG`
    `WEBP`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ImagesService.OutputEncoding` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ImagesService.OutputEncoding[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PNG

          public static final ImagesService.OutputEncoding PNG

    - #### JPEG

          public static final ImagesService.OutputEncoding JPEG

    - #### WEBP

          public static final ImagesService.OutputEncoding WEBP

  - ### Method Detail

    - #### values

          public static ImagesService.OutputEncoding[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ImagesService.OutputEncoding c : ImagesService.OutputEncoding.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ImagesService.OutputEncoding valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null